Package twisted :: Package python :: Module zipstream :: Class ChunkingZipFile

[frames | no frames]

## Class ChunkingZipFile

    ZipFile --+
              |
             ChunkingZipFile

A ZipFile object which, with readfile(), also gives you access to a filelike object for each entry.

Method Summary
| ``read`(self, name)` Return file bytes (as a string) for name.
| ``readfile`(self, name)` Return file-like object for name.
Inherited from ZipFile
| `__init__(...)`
| `__del__(...)`
| `_GetContents(...)`
| `_RealGetContents(...)`
| `_writecheck(...)`
| `close(...)`
| `getinfo(...)`
| `infolist(...)`
| `namelist(...)`
| `printdir(...)`
| `testzip(...)`
| `write(...)`
| `writestr(...)`

Method Details

### read(self, name)

Return file bytes (as a string) for name.

  Overrides:
    `zipfile.ZipFile.read`

### readfile(self, name)

Return file-like object for name.

Generated by Epydoc 2.0 on Sat May 15 20:07:53 2004 | http://epydoc.sf.net